%global with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:		aduna-commons-concurrent
Version:	2.6.0
Release:	3%{?dist}
Summary:	Extensions to the Java Concurrency package

Group:		Development/Libraries
License:	BSD
URL:		http://www.aduna-software.com/
Source0:	http://repo.aduna-software.org/maven2/releases/info/aduna/commons/%{name}/%{version}/%{name}-%{version}-sources.jar
Source1:	http://repo.aduna-software.org/maven2/releases/info/aduna/commons/%{name}/%{version}/%{name}-%{version}.pom

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	jpackage-utils >= 0:1.7.5
BuildRequires:	aduna-commons-pom
BuildRequires:	maven2-plugin-install
BuildRequires:	maven2-plugin-jar
BuildRequires:	maven2-plugin-resources
BuildRequires:	maven-doxia-sitetools
BuildRequires:	maven-surefire-maven-plugin

Requires:	jpackage-utils >= 0:1.7.5
Requires(post):	jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

Requires:	aduna-commons-pom
Requires:	slf4j

%if %{with_gcj}
BuildRequires:	java-gcj-compat-devel >= 1.0.31
Requires(post):	java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:	noarch
%endif


%description
%{summary}.


%package javadoc
Summary:	Javadoc for %{name}
Group:		Documentation
Requires:	jpackage-utils >= 0:1.7.5
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description javadoc
%{summary}.


%prep
%setup -c -q
cp %SOURCE1 ./pom.xml
mkdir -p src/main/java
mv info src/main/java


%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
	-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
	install javadoc:javadoc


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}

install -m 644 target/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%add_to_maven_depmap info.aduna.commons %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
%if %{with_gcj}
  if [ -x %{_bindir}/rebuild-gcj-db ] 
  then
    %{_bindir}/rebuild-gcj-db
  fi
%endif

%postun
%update_maven_depmap
%if %{with_gcj}
  if [ -x %{_bindir}/rebuild-gcj-db ] 
  then
    %{_bindir}/rebuild-gcj-db
  fi
%endif

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/*.pom
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog
* Tue Feb 23 2010 Mary Ellen Foster <mefoster at gmail.com> 2.6.0-3
- Remove BuildRequirements that are pulled in by aduna-commons POM
- Require the main package in the javadoc

* Thu Feb 11 2010 Mary Ellen Foster <mefoster at gmail.com> 2.6.0-2
- Add BR maven-doxia-sitetools
- Fix changelog dates

* Wed Feb 10 2010 Mary Ellen Foster <mefoster at gmail.com> 2.6.0-1
- Update to 2.6.0 in preparation for review

* Tue Nov 17 2009 Mary Ellen Foster <mefoster at gmail.com> 2.4.0-1
- Initial package
